Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchCodeGen extends Interface

  Factory methods used by TreeMakers to make the actual trees.

  Factory methods used by TreeMakers to make the actual trees.

  We have two modes in which to emit trees: optimized (the default) and pure (aka "virtualized": match is parametric in its monad).

  Definition Classes
    patmat
- CODE
- CodegenCore
- MatchMonadInterface
- OptimizedCodegen
- PureCodegen
- PureMatchMonadInterface
- TypedSubstitution
- vpmName

t

scala.tools.nsc.transform.patmat.MatchCodeGen

# CodegenCore 

###

#### trait CodegenCore extends MatchMonadInterface

Source
  MatchCodeGen.scala

Linear Supertypes
MatchCodeGen.MatchMonadInterface, AnyRef, Any
Known Subclasses
MatchAnalyzer, MatchApproximator, OptimizedCodegen, PureCodegen, CommonSubconditionElimination, MatchOptimizer, SwitchEmission, MatchTranslator, TreeMakers, OptimizingMatchTranslator, PureMatchTranslator
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CodegenCore
2. MatchMonadInterface
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait AbsCodegen extends AnyRef
2.  trait Casegen extends AbsCodegen
3.  abstract class CommonCodegen extends AbsCodegen

### Abstract Value Members

1.  abstract def codegen: AbsCodegen
2.  abstract val typer: (analyzer)#Typer
   Definition Classes
     MatchMonadInterface

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CodegenCore to any2stringadd[CodegenCore] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CodegenCore, B)
   Implicit
     This member is added by an implicit conversion from CodegenCore to ArrowAssoc[CodegenCore] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (CodegenCore) ⇒ Boolean, msg: ⇒ Any): CodegenCore
   Implicit
     This member is added by an implicit conversion from CodegenCore to Ensuring[CodegenCore] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (CodegenCore) ⇒ Boolean): CodegenCore
   Implicit
     This member is added by an implicit conversion from CodegenCore to Ensuring[CodegenCore] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): CodegenCore
    Implicit
      This member is added by an implicit conversion from CodegenCore to Ensuring[CodegenCore] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): CodegenCore
    Implicit
      This member is added by an implicit conversion from CodegenCore to Ensuring[CodegenCore] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CodegenCore to StringFormat[CodegenCore] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  def freshName(prefix: String): Global.TermName
17.  def freshSym(pos: Global.Position, tp: Global.Type = NoType, prefix: String = "x"): Global.TermSymbol
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val matchOwner: Global.Symbol
    Definition Classes
      MatchMonadInterface
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def newSynthCaseLabel(name: String): Global.MethodSymbol
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def pureType(tp: Global.Type): Global.Type
    Definition Classes
      MatchMonadInterface
27.  def reportMissingCases(pos: Global.Position, counterExamples: List[String]): Unit
    Definition Classes
      MatchMonadInterface
28.  def reportUnreachable(pos: Global.Position): Unit
    Definition Classes
      MatchMonadInterface
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def →[B](y: B): (CodegenCore, B)
    Implicit
      This member is added by an implicit conversion from CodegenCore to ArrowAssoc[CodegenCore] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from MatchCodeGen.MatchMonadInterface

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CodegenCore to any2stringadd[CodegenCore]

### Inherited by implicit conversion StringFormat from CodegenCore to StringFormat[CodegenCore]

### Inherited by implicit conversion Ensuring from CodegenCore to Ensuring[CodegenCore]

### Inherited by implicit conversion ArrowAssoc from CodegenCore to ArrowAssoc[CodegenCore]

### Ungrouped